petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscSNPrintfCount

Prints to a string of given length, returns count

### Synopsis

    PetscErrorCode PetscSNPrintfCount(char *str,size_t len,const char format[],size_t *countused,...)

Not Collective

### Input Parameters

| str | - the string to print to
| len | - the length of str
| format | - the usual printf() format string
| any arguments | - Output Parameter:

countused -number of characters used

### See Also

PetscSynchronizedFlush(), PetscSynchronizedFPrintf(), PetscFPrintf(), PetscVSNPrintf(),
PetscPrintf(), PetscViewerASCIIPrintf(), PetscViewerASCIISynchronizedPrintf(), PetscSNPrintf(), PetscVFPrintf()

### Level

intermediate

### Location

src/sys/fileio/mprint.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages